﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// Summary description for ReferenceGenerator
/// </summary>
public class ReferenceGenerator
{
    public String getReference(Claim claim)
    {
        String reference;
        String polType = claim.Policy.Type.Substring(0, 1).ToUpper();
        DateTime claimDate = claim.DateOfClaim;
        reference = polType + claim.Policy.Number.ToString() +
         "-" + claimDate.Year.ToString() + claimDate.Month.ToString("00") +
         claimDate.Day.ToString("00") +
         "-" + claimDate.Millisecond.ToString("000");
        return reference;
    }
}