﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace Ch15_VS_Examples_CSProject
{
    public partial class StandardWebForm : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (PolicyTextBox.Text != "")
            {
                ModelFacade facade = new ModelFacade();
                try
                {
                    int policyNum = Int32.Parse(PolicyTextBox.Text);
                    Policy policy = facade.getPolicyByNumber(policyNum);
                    if (policy != null)
                    {
                        Result.Text = "Policy type: " + policy.Type + ", Premium: " + policy.AnnualPremium;
                    }
                    else
                    {
                        Result.Text = "No matching policy";
                    }
                }
                catch (Exception ex)
                {
                    Console.Write(ex);
                    Result.Text = ex.ToString();
                }
            }
        }
    }
}

