using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.Mobile;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.MobileControls;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace Ch15_VS_Examples_CSProject
{
    public partial class Example15_2 : System.Web.UI.MobileControls.MobilePage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (PolicyTextBox.Text != "")
            {
                ModelFacade facade = new ModelFacade();
                try
                {
                    int policyNum = Int32.Parse(PolicyTextBox.Text);
                    Policy policy = facade.getPolicyByNumber(policyNum);
                    if (policy != null)
                    {
                        Result.Text = "Policy type: " + policy.Type + ", Premium: " + policy.AnnualPremium;
                    }
                    else
                    {
                        Result.Text = "No matching policy";
                    }
                }
                catch (Exception ex)
                {
                    Result.Text = "Not a valid policy number";
                }
            }
        }
    }
}
