CREATE PROCEDURE ReInitializeDB
/*
Resets the database to a known initial state
Use only for testing purposes
*/
AS
/*
Empty the current contents of the tables
*/
DELETE FROM claim
DELETE FROM policy
DELETE FROM policyholder
/*
Insert the standard test data
*/
INSERT INTO policyholder VALUES(1625344,'Mr. Charles Babbage','55, Old Road, London, United Kingdom')
INSERT INTO policyholder VALUES(5424882,'Dr. Bjarne Stroustrup','4, Wellington Road,Auckland, New Zealand')
INSERT INTO policyholder VALUES(2314253,'Ms. Grace Hopper','1,Forest Heights, San Francisco, United States')
INSERT INTO policy VALUES(233142,'buildings','2007-02-12',45.60,'Y',1)
INSERT INTO policy VALUES(384475,'contents','2006-11-21',37.00,'Y',1)
INSERT INTO policy VALUES(332574,'buildings','2005-06-03',120.50,'N',2)
INSERT INTO policy VALUES(928376,'buildings','2008-12-30',120.50,'Y',3)
INSERT INTO policy VALUES(885746,'contents','2007-10-13',120.50,'Y',3)
INSERT INTO claim VALUES('B233142-20101103-051','Broken window',150.00,'Y','2010-11-03',1);
INSERT INTO claim VALUES('C384475-20100423-131','Stained carpet',1000.00,'N','2010-04-23',2);
INSERT INTO claim VALUES('C885746-20100322-011','Stolen camera',650.00,'Y','2010-03-22',2);
INSERT INTO claim VALUES('B928376-20100402-226','House burned down',350000.00,'Y','2010-04-02',3);
RETURN